org.apache.solr.rest

## Class SolrSchemaRestApi

- java.lang.Object
- - org.restlet.Restlet
  - - org.restlet.Application
    - - org.apache.solr.rest.SolrSchemaRestApi

- All Implemented Interfaces:
    org.restlet.Uniform

      public class SolrSchemaRestApi
      extends org.restlet.Application

  Restlet servlet handling /<context>/<collection>/schema/* URL paths

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrSchemaRestApi()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.restlet.Restlet` | `createInboundRoot()` Bind URL paths to the appropriate ServerResource subclass.
    `static Set<String>` | `getReservedEndpoints()` Returns reserved endpoints under /schema
    `void` | `stop()`

    - ### Methods inherited from class org.restlet.Application

      `createOutboundRoot, getConnectorService, getConnegService, getConverterService, getCurrent, getDecoderService, getEncoderService, getInboundRoot, getMetadataService, getOutboundRoot, getRangeService, getRole, getRoles, getServices, getStatusService, getTaskService, getTunnelService, handle, isDebugging, setConnectorService, setConnegService, setContext, setConverterService, setCurrent, setDebugging, setDecoderService, setEncoderService, setInboundRoot, setInboundRoot, setMetadataService, setOutboundRoot, setOutboundRoot, setRangeService, setRoles, setStatusService, setTaskService, setTunnelService, start`

    - ### Methods inherited from class org.restlet.Restlet

      `createFinder, finalize, getApplication, getAuthor, getContext, getDescription, getFinderClass, getLogger, getName, getOwner, handle, handle, handle, isStarted, isStopped, setAuthor, setDescription, setFinderClass, setName, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrSchemaRestApi

          public SolrSchemaRestApi()

  - ### Method Detail

    - #### getReservedEndpoints

          public static Set<String> getReservedEndpoints()

      Returns reserved endpoints under /schema

    - #### stop

          public void stop()
                    throws Exception

      Overrides:
        `stop` in class `org.restlet.Application`
      Throws:
        `Exception`

    - #### createInboundRoot

          public org.restlet.Restlet createInboundRoot()

      Bind URL paths to the appropriate ServerResource subclass.
      Overrides:
        `createInboundRoot` in class `org.restlet.Application`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.